/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include <dawn/dawn.h>
#include "../display/shader.h"
#include "../display/primitive.h"
#include "../display/primitives/quad.h"
#include "../display/gui/font.h"

void frameInit(frame_t *frame);

void frameSetSize(frame_t *frame, float width, float height);

void frameSetInnerSize(frame_t *frame, float width, float height);

void frameRender(frame_t *frame, shader_t *shader);

void frameDispose(frame_t *frame);